class Invite{
  String idInvite;
  DateTime date;
  int idUser;

  Invite({this.idInvite, this.date, this.idUser});

  factory Invite.fromJson(Map<String, dynamic> inviteJson){
    return Invite(
      idInvite: inviteJson['idInvite'],
      date: DateTime.fromMillisecondsSinceEpoch(inviteJson['date']),
      idUser: inviteJson['idUser']
    );
  }

  Map<String, dynamic> toJson() =>
      {
        'idInvite': idInvite,
        'date': date.millisecondsSinceEpoch,
        'idUser': idUser
      };

}