class User{
  int idUser;
  String email;
  String userName;
  String city;
  int profile;
  String avatarUrl;
  String idInvite;

  User({this.idUser, this.email, this.userName, this.city, this.profile, this.avatarUrl, this.idInvite});

  factory User.fromJson(Map<String, dynamic> userJson){
    return User(
      idUser: userJson['idUser'],
      email: userJson['email'],
      userName: userJson['userName'],
      city: userJson['city'],
      profile: userJson['profile'],
      avatarUrl: userJson['avatarUrl'],
      idInvite: userJson['idInvite']
    );
  }

  Map<String, dynamic> toJson() =>
      {
        'idUser': idUser,
        'email': email,
        'userName': userName,
        'city': city,
        'profile': profile,
        'avatarUrl': avatarUrl,
        'idInvite': idInvite
      };
}